Page MenuHomePhabricator

[Epic] Getting Wikidata to render nicely on mobile web
Closed, ResolvedPublic

Description

For reading https://m.wikidata.org/wiki/Q2 is looking pretty good.

A few things need to be fixed before this can be considered done.

  1. There are two headers on item pages. Not sure why this is happening but I figure this is due to core code not making this easy. Let's fix this in core for both mobile and wikidata
  2. Disable sections collapsing by configuring $wgMFCollapseSectionsByDefault = false for the wikidata instance
  3. Optimise the main page (please see https://www.wikidata.org/wiki/Wikidata:Project_chat#Optimising_the_main_page_for_mobile.21)
  4. Search currently doesn't support human readable search terms due to Wikidata search api using different query to other mediawiki instances. Let's try to find a nicer way to do that.

Would be great to fix the above things first and then work through the problems I have identified in:
https://m.wikidata.org/wiki/MediaWiki:Mobile.css

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedJdlrobson
ResolvedBene
DeclinedLydia_Pintscher
ResolvedBene
ResolvedBene
ResolvedBene
OpenNone
ResolvedBene
ResolvedBene
Resolvedthiemowmde
ResolvedNone
ResolvedNone
ResolvedBene
ResolvedBene
ResolvedBene
OpenNone
DuplicateNone
DeclinedBene
DuplicateNone
OpenNone

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson changed Security from none to None.
Jdlrobson added subscribers: Jdlrobson, MaxSem.
Lydia_Pintscher triaged this task as Normal priority.Dec 13 2014, 1:29 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Let's please coordinate work on this properly before further steps. We're in the middle of a complete UI redesign.

Is there a branch we can review the UI redesign on? Max and I are pretty keen to support this and I don't anticipate much work from our side in keeping in line with that work.

There is no branch as we are doing this incrementally. Tracking of that is at T54136.
I'll open tasks for the issues I found. Can you open tasks for the rest you are aware of please?

Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Feb 4 2015, 3:19 PM
Bene added a subscriber: Bene.Apr 12 2015, 7:26 PM
Jonas renamed this task from Getting Wikidata to render nicely on mobile web [Tracking] to [Epic] Getting Wikidata to render nicely on mobile web.Aug 13 2015, 3:23 PM
Jonas edited projects, added Epic; removed Tracking-Neverending.
MaxSem removed a subscriber: MaxSem.Aug 18 2015, 4:55 PM
Jdlrobson moved this task from Backlog to Tracking on the MobileFrontend board.Nov 14 2016, 11:50 AM

@Lydia_Pintscher @Bene is this task and subtasks still active and up to date?

Thanks for mentioning this "responsive" mode, I forgot about it. Unfortunately the mode seems to be unmaintained since 2015, and makes the page quite unusable. Also I wonder how this helps if people navigate wikidata.org via the "mobile" link at the bottom?

I would close this task as done and open smaller, more specific tasks if necessary.

Jdlrobson closed this task as Resolved.Jul 17 2017, 5:29 PM
Jdlrobson claimed this task.

@thiemowmde it's just a thought - since wikidata is a separate site you could disable mobilefrontend and enable the Vector responsive mode for all page views... and
we could use that as an opportunity to improve it. Not saying it's the right approach but something to consider as MobileFrontend's main purpose is formatting html content from editors that is not mobile friendly and providing a different skin for mobile (see Extension:MobileFrontend to get a list of things it does - and think about whether Wikidata uses/needs any of these). Not sure if all of them makes sense strategically for wikidata when all you seem to need is a responsive skin but worth thinking about.

Closing per your suggestion :)